#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	kf5-kparts
Version		:	5.107.0
Release		:	17.0.10.rel%{?dist}
Summary		:	KDE Plugin framework for user interface components


Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	https://download.kde.org/stable/frameworks

Source0		:	%{sname}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	doxygen
BuildRequires	:	extra-cmake-modules
BuildRequires	:	glu-devel
BuildRequires	:	kf5-kauth-devel
BuildRequires	:	kf5-kbookmarks-devel
BuildRequires	:	kf5-kcodecs-devel
BuildRequires	:	kf5-kconfig-devel
BuildRequires	:	kf5-kconfigwidgets-devel
BuildRequires	:	kf5-kcompletion-devel
BuildRequires	:	kf5-kcoreaddons-devel
BuildRequires	:	kf5-ki18n-devel
BuildRequires	:	kf5-kiconthemes-devel
BuildRequires	:	kf5-kitemviews-devel
BuildRequires	:	kf5-kio-devel
BuildRequires	:	kf5-kjobwidgets-devel
BuildRequires	:	kf5-kservice-devel
BuildRequires	:	kf5-ktextwidgets-devel
BuildRequires	:	kf5-kwidgetsaddons-devel
BuildRequires	:	kf5-kwindowsystem-devel
BuildRequires	:	kf5-kxmlgui-devel
BuildRequires	:	kf5-rpm-macros
BuildRequires	:	qt5-qtbase-devel
BuildRequires	:	qt5-qttools-devel
#-----------------------------------------------------------------------------
%description
This library implements the framework for KDE parts, which are
elaborate widgets with a user-interface defined in terms of actions
(menu items, toolbar icons)

#-----------------------------------------------------------------------------
%files			-f %{sname}.lang
%defattr(-,root,root,-)
%doc README.md AUTHORS
%license LICENSES/*.txt
%{_kf5_libdir}/libKF5Parts.so.5*
%{_kf5_datadir}/qlogging-categories5/%{sname}.*
%{_kf5_datadir}/kservicetypes5/*.desktop

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}
Requires	:	qt5-rpm-macros

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that
use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_kf5_includedir}/KParts/
%{_kf5_libdir}/libKF5Parts.so
%{_kf5_libdir}/cmake/KF5Parts/
%{_kf5_archdatadir}/mkspecs/modules/qt_KParts.pri
%{_kf5_datadir}/kdevappwizard/templates/kpartsapp.tar.bz2
%{_qt5_docdir}/*.tags

#=============================================================================
%package		doc
Summary		:	Developer Documentation files for %{name}

#-----------------------------------------------------------------------------
BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description		doc
Developer Documentation files for %{name} for
use with KDevelop or QtCreator.

#-----------------------------------------------------------------------------
%files			doc
%defattr(-,root,root,-)
%{_qt5_docdir}/*.qch

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

cmake								\
	-B _bld							\
	-S .							\
	-D CMAKE_BUILD_TYPE=Release				\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}			\
	-D CMAKE_INSTALL_INCLUDEDIR=%{_includedir}		\
	-D CMAKE_INSTALL_LIBDIR=%{_libdir}			\
	-D CMAKE_INSTALL_LIBEXECDIR=%{_libexecdir}		\
	-D KDE_INSTALL_INCLUDEDIR=%{_includedir}		\
	-D KDE_INSTALL_BINDIR=%{_bindir}			\
	-D KDE_INSTALL_LIBDIR=%{_libdir}			\
	-D KDE_INSTALL_LIBEXECDIR=%{_libexecdir}		\
	-D BUILD_TESTING=OFF					\
	-D BUILD_QCH=ON						\

cmake								\
	--build							\
	_bld							\
	--parallel %(/usr/bin/getconf _NPROCESSORS_ONLN)	\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	cmake						\
	--install					\
	_bld

%find_lang %{sname} --all-name --with-html
#-----------------------------------------------------------------------------
%changelog
